<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
<head>
<title><?php page_title(); ?></title>
<meta http-equiv="Content-Type" content="text/html; charset=<?php if(defined('DEFAULT_CHARSET')) { echo DEFAULT_CHARSET; } else { echo 'utf-8'; }?>" />
<meta name="description" content="<?php page_description(); ?>" />
<meta name="keywords" content="<?php page_keywords(); ?>" />
<link href="<?php echo TEMPLATE_DIR; ?>/screen.css" rel="stylesheet" type="text/css" media="screen" />
<link href="<?php echo TEMPLATE_DIR; ?>/print.css" rel="stylesheet" type="text/css" media="print" />
</head>
<body>

<div id="header">
	<div id="searchbar">
		<?php if(SHOW_SEARCH) { ?>
		<form name="search" action="<?php echo WB_URL.'/search/index'.PAGE_EXTENSION; ?>" method="post">
		<input type="text" name="string" class="search_string" />
		</form>
		<?php } ?>
	</div>
</div>

<div id="container">
	<div id="left">
		<div id="arrow">
			Navigation
		</div>
		<div id="menu">
			<?php show_menu(); ?>
		</div>
		<div id="arrow">
			Login
		</div>
		<div id="login">
			<?php
			if(FRONTEND_LOGIN == 'enabled' AND VISIBILITY != 'private' AND $wb->get_session('USER_ID') == '') {
			?>
			<form name="login" action="<?php echo LOGIN_URL; ?>" method="post" class="login_table">
				<?php echo $TEXT['USERNAME']; ?>:
				<input type="text" name="username" style="text-transform: lowercase;" />
				<?php echo $TEXT['PASSWORD']; ?>:
				<input type="password" name="password" />
				<input type="submit" name="submit" value="<?php echo $TEXT['LOGIN']; ?>" style="margin-top: 3px; text-transform: uppercase;" /><br />
				<a href="<?php echo FORGOT_URL; ?>"><?php echo $TEXT['FORGOT_DETAILS']; ?></a>
				<?php if(is_numeric(FRONTEND_SIGNUP)) { ?>
					<a href="<?php echo SIGNUP_URL; ?>"><?php echo $TEXT['SIGNUP']; ?></a>
				<?php } ?>
			</form>
			<?php
			} elseif(FRONTEND_LOGIN == 'enabled' AND is_numeric($wb->get_session('USER_ID'))) {
			?>
			<form name="logout" action="<?php echo LOGOUT_URL; ?>" method="post" class="login_table">
				<?php echo $TEXT['LOGGED_IN']; ?>
				<br />
				<?php echo $wb->get_display_name(); ?>
				<br />
				<input type="submit" name="submit" value="<?php echo $MENU['LOGOUT']; ?>" />
				<br />
				<a href="<?php echo PREFERENCES_URL; ?>"><?php echo $MENU['PREFERENCES']; ?></a>
				<br />
				<a href="<?php echo ADMIN_URL; ?>/index.php"><?php echo $TEXT['ADMINISTRATION']; ?></a>
			</form>
			<?php
			}
			?>
		</div>
	</div>
	<div id="right">
		<div id="arrow">
			Newsflash
		</div>
		<div id="content">
			<?php page_content(); ?>
		</div>
	</div>
	<div id="footer">
		<div id="footerLeft">
			&nbsp;
		</div>
		<div id="footerRight">	
			<?php page_footer(); ?>
		</div>
	</div>
</div>

</body>
</html>